html, body {
    font-family: 'Roboto', Helvetica, Arial, sans-serif;
    background-color: #eee;
    color: #000000;
    font-size: 15px;
}

html.dark, .dark body {
    background-color: #000000;
    color: #eee;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

article.content, div.content, article.content-nopadding, div.content-nopadding {
    max-width: 1366px;
    margin-right: auto;
    margin-left: auto;
}

.cg-game-full-screen-tiles {
    height: calc(100dvh - 84px); /* 64px - rozmiar górnego menu, 20px - margines dolny */
    width: 100%;
    max-width: 480px;
    margin-left: auto !important;
    margin-right: auto !important;
}

.cg-game-full-screen-tile {
    background-color: rgb(55, 55, 64);
}


    .cg-game-full-screen-tile .mud-avatar.mud-avatar-large {
        width: 180px;
        height: 180px;
        margin-left: 20px;
        margin-right: 20px;
        margin-top: -60px;
    }

.cg-game-full-screen-tile-caption {
    padding: 20px;
    font-size: 1.2em;
    text-align: left;
    background-color: dimgray;
}

.cg-leave-space-for-menu {
    margin-top: 50px;
}

.cg-full-screen-tile-categorytext {
    display: -webkit-box;
    max-width: 100%;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

@media(max-width: 420px) {
    .cg-full-screen-tile-categorytext {
        -webkit-line-clamp: 3;
    }
}

@media(max-width: 800px) {
    .cg-solid-top-menu-on-mobile {
        width: 100%;
        background-color: #000;
        z-index: 2;
        position: fixed !important;
    }
}

.apps-top-icons {
    top: 0px;
}

.content {
    padding-top: 1.1rem;
}

.cg-full-screen-tile-text {
    text-align: left;
    padding: 20px;
    user-select: none;
    max-height: 43vh;
    overflow: hidden;
}

.cg-tile-small-caption {
    text-transform: uppercase;
    font-size: 0.6em;
}

.cg-dialog-button-v {
    text-align: left;
    width: 100%;
    margin-top: 8px;
    margin-bottom: 8px;
}

.cg-dialog-button-v .mud-button-label {
    justify-content: left;
}

.cg-dialog-button-v .cg-subtext {
    text-transform: none;
    font-weight: lighter;
    font-size: 0.8em;
}

.cg-full-height {
    height: calc(100dvh - 40px);
    overflow: clip;
}

.cg-game-icon-badge .mud-badge {
    margin-left: -8px;
    margin-top: -10px;
}

.cg-game-icon-badge.cg-background-red .mud-badge {
    background-color: red;
    color: white;
}

.cg-game-icon-badge.cg-background-yellow .mud-badge {
    background-color: yellow;
    color: black;
}

.cg-game-icon-badge.cg-background-green .mud-badge {
    background-color: lightgreen;
    color: black;
}

.cg-game-icon-badge.cg-background-blue .mud-badge {
    background-color: deepskyblue;
    color: black;
}

.cg-game-icon-badge.cg-background-transparent .mud-badge {
    background-color: transparent;
}